Subject: RE: [SIP] clarification on tags in the BYE request.

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 22 Oct 2000 11:32:22 -0400

> -----Original Message-----
> From: Jo Hornsby [mailto:[email-masked]]
> Sent: Friday, October 20, 2000 8:39 AM
> To: Jonathan Rosenberg; 'Sunitha Kumar'; sip bell labs
> Subject: RE: [SIP] clarification on tags in the BYE request.
> 
> 
> > > With respect to section 11.3 and 11.4 in September 4, SIPbis, 
> > > It is given that all subsequent requests of the same callLeg  
> > > contains the same To header field, including the *tags*.
> > >
> > > It is also given here, that a UAC copies the tag from the
> > > final response into the ACK, but it *MUST NOT* copy the tag
> > > into any subsequent requests unless the response was a 200
> > > class response to an INVITE request.
> > 
> > Correct.
> > 
> > >Does this mean: 
> > >UAC -------send INVITE------------->UAS 
> > >UAC<------send 200 OK with tag in To----UAS 
> > >UAC-------send ACK, with same tag as in To of 200 OK-->UAS 
> > >UAC<-------RTP---------------------->UAS 
> > 
> > > Now , if BYE is sent from UAC to a UAS, should UAC tag the To 
> > > field of the BYE , the same as the 200 OK that it received. 
> > 
> > Of course. Isn't that exactly what is implied by the text?
> > 
> > >If yes, why, isn't this another transaction? 
> > 
> > Huh?? Of course it is another transaction. 
> > 
> > >I agree that if the BYE were to be sent instead of the ACK
> > ( in order to cancel the call), 
> > 
> > You always send ACK, even if you want to hang up. 
> 
> I think this is confusing in the spec; 11.3 says:
> 
>     Multiple responses may arrive at the UAC for a
>     single INVITE request, due to a forking proxy.
>     Each response is distinguished by the "tag"
>     parameter in the To header field, and each
>     represents a distinct call leg. The caller MAY
>     choose to acknowledge or terminate the call
>     with each responding UAS. To acknowledge, it
>     sends an ACK request, and to terminate it sends
>     a BYE request.
> 
> I interpret this as saying when I receive a 200 to an INVITE,
> I don't have to send an ACK if I want to "hang-up" the call.

I agree this is really confusing.

> 
> I'm glad to see that this is not the case, but I think that
> the text needs to be changed; perhaps:
>     "...and to terminate it sends an ACK request
>      followed by a BYE request."

Yes, we will add this.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip